2023-05-15 Mike Gabriel

        * release 2.12.7 (HEAD -> bookworm, tag: 2.12.7)
        * debian/po/de.po: Update German translation. (04d91b4)
        * debian/po/: Update es.po. Thanks to Camaleón. (Closes: #1035682).
          (66b72d4)

2023-04-26 Mike Gabriel

        * d-e-r-c.postrm: Fix /etc/dnsmasq.d/ path name in comment. (9b36fd6)
        * release 2.12.6 (161c496) (tag: 2.12.6)
        * debian/debian-edu-router-config.lintian-overrides: Update line
          numbers in some overrides. (e16cc27)
        * debian/d-e-r-config.postrm: Purge /etc/dnsmasq.d/ again if probably
          created by us. (bb702e6)
        * debian/d-e-r-config.{postinst,postrm}: Assure that
          /etc/ssh/sshd_config.d/ exists when needed, purge it again
          if probably created by us. (f5c5223)
        * debian/po/: Update es.po. Thanks to Camaleón. (Closes: #1034706).
          (e9719ae)

2023-04-09 Mike Gabriel

        * upload to unstable (debian/2.12.6) (787d7ad)
        * debian/debian-edu-router-fai.lintian-overrides: Silence
          false-positive lintian reports. (2f91ccc)
        * debian/debian-edu-router-config.postinst: Ignore failures of
          update-rc.d when (re-)enabling ssh service. (e100481)
        * debian/debian-edu-router-config.postinst: Silence stdout/stderr of
          update-rc.d. Thanks, lintian. (83e1c62)
        * debian/debian-edu-router-config.lintian-overrides: Update line
          number in recursive-privilege-change override. Add various
          update-rc.d override. (9730a90)
        * debian/po/: Update translation files. (20b3921)
        * debian/debian-edu-router-config.postinst: Assure enabling of SSH
          service in case it got disabled beforehand. (0079a55)
        * debian/debian-edu-router-config.postinst: Use update-rc.d instead
          of systemctl for disabling ssh service. (eed6957)
        * Revert "upload to unstable (debian/2.12.6)" (b2f1d14)
        * upload to unstable (debian/2.12.6) (562403b)
        * debian/po: Add pt_BR translation. Thanks to Paulo Henrique de Lima
          Santana. (Closes: #1034029). (1212aff)

2023-03-20 Daniel Teichmann

        * debian/d-e-r-c.postinst: Make nosetup_reason2 message bold.
          (06164f0)

2023-04-06 Mike Gabriel

        * debian/debian-edu-router-config.config: Fix wrong debconf screen
          numbers that got broken by cherry-picking. (a0d1e2b)
        * debian/debian-edu-router-config.config: White-space fixes.
          (58618a7)

2023-02-20 Daniel Teichmann

        * debian/d-e-r-c.config: Make sure user doesn't accidentely quit the
          conf dialog when trying to backup… (5f9f212)

2023-03-28 Daniel Teichmann

        * debian/d-e-r-c.postinst: Replace sshd with ssh for invoke-rc.d
          call. (738c1df)
        * debian/d-e-r-c.postinst: Don't generate firewall rules, if SSH
          service is disabled. (22ba6c8)
        * debian/d-e-r-c.postinst: Generate uif service definition (SSH
          custom port). (b7f00fe)

2023-03-28 Mike Gabriel

        * debian/d-e-r-c.{config, postinst}: Selectively allow/block incoming
          SSH connections. (d582a3c)
        * debian/debian-edu-router-config.templates: Add EOL at EOF.
          (476063b)
        * debian/debian-edu-router-config.config: Grammar fix. (a2940c5)

2023-04-06 Mike Gabriel

        * debian/po: Update nl.po. Thanks to Frans Spiesschaert. (Closes:
          #1033906). (492cb78)

2023-03-20 Daniel Teichmann

        * debian/d-e-r-c.postrm: Purge d-e-r related SSH service config
          files. (fe1cb27)
        * debian/d-e-r-c.postinst: Generate sshd + uif config files for
          custom SSH port. (b24e7fe)
        * debian/d-e-r-c.{config,templates}: Add
          debian-edu-router-config/service-ssh-custom-port dialog &
          template. (10c5e5c)

2023-03-20 Mike Gabriel

        * upload to unstable (debian/2.12.5) (752d240) (tag: 2.12.5)
        * debian/debian-edu-router-config.lintian-overrides: update line
          number (5ef1979)
        *
          conf/debian-edu/fai/debian-edu-router-fai.TEMPLATE/apt/sources.list.in:
          Comment out DEVELOPMENT APT repository. (e8a10f6)
        *
          conf/debian-edu/fai/debian-edu-router-fai.TEMPLATE/apt/trusted.gpg.d/:
          Rename itzks-keyring.gpg to DEVELOPMENT.gpg (52c020a)
        * fai/config/class/90-development: Disable DEVELOPMENT class.
          (dd3b601)

2023-03-20 Frans Spiesschaert

        * debian/po: Add nl.po. Thanks to Frans Spiesschaert. (Closes:
          #1032534). (1df8695)

2023-03-20 Camaleón

        * debian/po: Add es.po. Thanks to Camaleón. (Closes: #1033016).
          (d76e843)

2023-03-16 Daniel Teichmann

        * debian/changelog + ChangeLog: Update to latest changes. (389b10d)

2023-03-10 Mike Gabriel

        * debian/debian-edu-router-config.postinst: Silence and ignore errors
          if /etc/dnsmasq.d/ is empty when attempting to remove
          files from it. (64d0a18)
        * debian/debian-edu-router-config.postinst: Assure that
          /etc/dnsmasq.d/ exists before placing files into it.
          (dde9031)

2023-03-09 Daniel Teichmann

        * debian/changelog: update from Git history and bump to
          2.12.5~preview6 (9b27511)
        * debian/d-e-r-c.postinst: Remove 'WARNING' from skip-network-setup
          msg to avoid it being shown at FAI installation. (3d14d75)
        * Makefile.iso: Split CHROOT_LOCATION via 'tr' to avoid possible
          'Union Directory' entries. (627dc77)

2023-03-09 Mike Gabriel

        * debian/changelog: udpate from Git history and bump to
          2.12.5~preview5 (62b75d8)
        * conf/debian-edu/fai/debian-edu-router-fai.TEMPLATE/grub.cfg: Mark
          simultaneous DHCP discovery as experimental, not BROKEN.
          It has been working quite well during recent tests.
          (96a3273)
        * fai/config/package_config/FAIBASE: Drop libnss-sss and libpam-sss.
          (Remnant from Debian LAN which we used as a starting
          point). (f986a47)
        * conf/debian-edu/fai/debian-edu-router-fai.TEMPLATE/nfsroot.conf.in:
          Add '--include=ca-certificates' to FAI_DEBOOTSTRAP_OPTS.
          For https deb-URLs it is vital to have ca-certificates
          already installed in FAI's base.tar.xz chroot tarball.
          (e749cd0)
        * conf/debian-edu/fai/debian-edu-router-fai.TEMPLATE/nfsroot.conf.in:
          Drop '--include=aptitude' from FAI_DEBOOTSTRAP_OPTS. Not
          supported by FAI 6.0 currently. (9ee7b4d)

2023-03-08 Mike Gabriel

        * fai/config/package_config/: Temporarily stop using 'aptitude'
          installation type, switch to legacy 'install' (i.e.
          apt-get). (10583df)
        *
          conf/debian-edu/fai/debian-edu-router-fai.TEMPLATE/apt/sources.list.in:
          Add non-free-firmware package repo area. (bae8ce9)
        * conf/debian-edu/fai/debian-edu-router-fai.TEMPLATE/NFSROOT: Add
          libnss3. Required by dracut's 45url-libs module. (762024e)
        * conf/debian-edu/fai/debian-edu-router-fai.TEMPLATE/NFSROOT:
          Forward-port changes from NFSROOT in FAI 6.0. (f9b4cf4)
        * bin/debian-edu-router-fai_install: Drop non-free-firmware repo area
          if preparing a bullseye nfsroot. (61310b7)
        * bin/debian-edu-router-fai_*: Drop support for Debian versions older
          than bullseye. (fa4fcd9)
        * debian/copyright: Adjust for renamed DEVELOPMENT.{asc|gpg} file.
          (1cf3102)
        * d/changelog: update from Git history (790c4e5)
        * bin/debian-edu-router-fai_instal: Mount /proc and /sys in nfsroot
          prior to creating/updating it. Those mountpoints are
          needed by dracut's 45url-libs module. (1c87206)
        * fai/config/_obsolete-files.d/debian-edu-router-fai.removed: Mark
          package_config/DEVELOPMENT.asc as obsolete file. (52f8030)
        * package_config/DEVELOPMENT.{asc -> gpg}: Rename file. Support for
          .asc files has been dropped in FAI. (9e91e78)

2023-02-24 Mike Gabriel

        * d/changelog: update from Git history (3c128a5)

2023-02-09 Daniel Teichmann

        * debian/d-e-r-c.config: Add '|| true' guard to udevadm call. Thanks,
          Lintian. (624a80d)

2023-02-17 Daniel Teichmann

        * po/{de.po,templates.pot}: Update template language files. (7c9a0b3)
        * debian/d-e-r-c.{templates,config,lintian-overrides}: Remove
          debian-edu-router-config/title. (948c691)
        * debian/d-e-r-c.postrm: Set title to 'Debian Edu Router'. (ccae956)
        * debian/d-e-r-c.lintian-overrides: udvadm guard warning has been
          fixed. (85587b4)
        * debian/d-e-r-c.config: ipv4 DNS NS's can provide ipv6 NS's and vice
          verca. So don't force both ipv4 and ipv6 nameservers.
          (c602e3b)

2023-02-16 Daniel Teichmann

        * debian/d-e-r-c.config: Make DNS nameserver question more reliable +
          support IPv6. (3e934b2)
          Fixes: #40

        * {po/de.po, po/templates.pot, debian/d-e-r-config.templates}: Update
          translation. (2f2a81b)
        * {po/de.po, po/templates.pot, debian/d-e-r-config.templates}: Don't
          break '_Description:' line. Update translation. (103d6a8)
        * debian/d-e-r-c.config: Make bailout_on_too_many_failures()
          colorful. (230e218)
        * debian/d-e-r-c.config: Remove old color codes and replace them with
          new color variables. (0424b7e)

2023-02-16 Mike Gabriel

        * release 2.12.4 (d9af6a5) (tag: 2.12.4)
        * debian/po/: Update de.po. (a3b3a16)
        * debian/po/templates.pot: Update file. (942a001)
        * debian/debian-edu-router-config.templates: Wrap too-long-lines in
          LONG_DESCRIPTION fields. (No change in the wording).
          (c7032e7)
        * lintian: Adjust line numbers of some overrides. (b15d910)
        * lintian: Drop too-long-short-description-in-templates overrides.
          (d526736)
        * debian/debian-edu-router_2.12.4: Shorten SHORT_DESCRIPTION fields
          to be under 78 chars long. (e2a70f6)

2023-02-15 Daniel Teichmann

        * debian/d-e-r-c.postinst: Remove leftover reference of removed
          template
          'debian-edu-router-config/net-connect-ext-iface-uplink'.
          (e3de880)

2023-02-14 Daniel Teichmann

        * debian/d-e-r-c.config: Step-by-Step: Fix bug where iface could be
          empty for internal network iface matching. (88e01fc)
        * debian/d-e-r-c.{config,templates}: Step-By-Step: Optimize Uplink
          interface gathering. (d955289)
        * debian/d-e-r-c.config: Add set_all_available_ifaces_up() and add a
          little documentation. (a0270a5)
        * debian/d-e-r-c.config: Wait for iface link to be up before
          continuing. (8b86cde)
          Fixes: #66

        * debian/d-e-r-c.config: Don't run preconfigure stage, because
          commons file is not yet ready. (60679f4)
        * debian/d-e-r-c.common: Add warning_log_stderr(). (410fc8e)

2023-02-15 Daniel Teichmann

        * po/de/LC_MESSAGES/debian-edu-router-config.po: Make loginmenu
          strings more uniform. (9b78749)
        * debian/po/de.po: Update german language files. (79f248b)
        * debian/po/*: Execute debconf-updatepo (Update language files).
          (801ea5a)
        * po/: Execute ./update-pot.sh (Update language files). (34a352a)
        * po/de: Update german language files. (4786c48)

2023-02-14 Daniel Teichmann

        * debian/d-e-r-c.{config,lintian-overrides}: Fix vlan template typo.
          (7582238)

2023-02-10 Daniel Teichmann

        * debian/d-e-r-c.postinst: If 'D_E_R_DEBUG' is set, don't just delete
          generated config files. (3e11760)
        * debian/d-e-r-c.postinst: Rephrase port-is-already-in-use
          warning_log. (90c65a6)
        * debian/d-e-r-c.postinst: Refactor echo log-statements to
          'debug_log' or 'error_log' func calls. (541642d)

2023-02-09 Daniel Teichmann

        * fai/config/debconf/DEBIAN_EDU_ROUTER: Fix one of the debconf
          preseedings. (papercut). (f0d6c13)
        * bin/debian-edu-router-loginmenu.sh: Add 'completely configure
          d-e-r' option. (e41b3da)
        * Makefile.debug: Add packages 'gpm' + 'ipv6calc'; Fix package
          'ip4calc' -> 'ipcalc'. (9986e1d)

2023-02-07 Daniel Teichmann

        * debian/d-e-r-c: Restrict the firewall so that you can no longer
          connect to other internal networks directly. (a7b3e4f)
        * debian/d-e-r-c.templates: Fix typo in the 'Printers' DHCP example.
          (8656e08)

2023-02-06 Daniel Teichmann

        * debian/d-e-r-c.config: Replace old remnants of 'backbone' with
          'mgmt'. (45f3ee1)

2023-02-05 Mike Gabriel

        * release 2.12.3 (9d0b1f0) (tag: 2.12.3)
        * debian/control: Add to D (d-e-r-c): procps (provides sysctl cmd).
          (Closes: #1030574). (9edbc99)

2023-02-04 Mike Gabriel

        * Continue development... (ff4126e)
        * ChangeLog: post-release update (89ea98f)
        * release 2.12.2 (e8d3f62) (tag: 2.12.2)
        * lintian: Adjust line number in recursive-privilege-change override.
          (7960dc0)
        * debian/debian-edu-router-config.postrm: Assure purging of our
          sysctl config snippet. (bc4fd04)
        * debian/copyright: Update copyright attributions. (86878d6)
        *
          fai/config/files/lib/systemd/system/startup-shutdown-chiptune.service/GATEWAY:
          Add license header. (51ab4ec)
        * debian/debian-edu-router-config.postinst: Create directory
          /etc/sysctl.d before writing a file into it. (Closes:
          #1030359). (d47daf1)

2023-02-01 Mike Gabriel

        * Continue development... (fb805cd)
        * release 2.12.1 (ccb7f59) (tag: 2.12.1)

2023-01-30 Daniel Teichmann

        * po/de/LC_MESSAGES/debian-edu-router-config.po: Fix punctuation
          typo; Update pot files. (faec4f0)
        * bin/debian-edu-router-loginmenu.sh: Fix 'ITEM_REBOOT_REBOOTING_NOW'
          string. (b3d4bbf)

2023-01-27 Daniel Teichmann

        * FAI: Move startup-shutdown-chiptune.service to /lib/systemd/system/
          and execute fcopy on it. (fa50a05)
          Fixes: #59

2023-01-29 Mike Gabriel

        * Continue development... (7ac84f2)
        * debian/control: Typo fix in LONG_DESCRIPTIONs. (9c6dcbf)
        * release 2.12.0 (6ea28ed) (tag: 2.12.0)
        * debian/copyright: Slight update. (6c5f03c)
        * lintian: More silencing of warnings for known issues. (f061fea)
        * debian/debian-edu-router-config.common: Make file executable.
          (819dc8b)
        * debian/debian-edu-router-config.config: Guard udevadm call. This
          needs a better implementation and is for silencing lintian
          only for now. (fa79849)
        * lintian: Capture various known issues. (9c492dd)
        * debian/debian-edu-router-config.common: Fix syntax error in
          if-clause. (1de465c)
        * debian/debian-edu-router-config.common: Fix indentation at top of
          script. (8aeb7be)
        * conf/profile.d/d-e-r_on-login.sh: Add shebang. Thanks lintian.
          (3aa57cb)
        * debian/source/lintian-overrides: Ignore GPG keyring files when
          parsing file tree for copyright attributions. (7ca02a0)
        * debian/po/de.po: Update German translation. (9b38ffb)
        * debian/po/templates.pot: Update template file. (4e61496)
        * debian/copyright: Update copyright attributions. (883ce74)
        * debian/copyright: Update auto-generated copyright.in file.
          (9afcc4e)
        * Happy new year! (da168ab)
        * debian/copyright: Update copyright attributions. (482e322)
        * debian/debian-edu-router-config.templates: Amend lintian warning
          template-uses-unsplit-choices. (7ce91eb)
        * debian/debian-edu-router-config.common: Add PL as copyright holder.
          (1f73a07)
        * Update copyright headers, add Daniel Teichmann to files that he
          significantly contributed to. (8ad5d1e)

2023-01-27 Daniel Teichmann

        * po/debian-edu-router-*.pot: Update POT files. (874c94c)
        * po/de/LC_MESSAGES/debian-edu-router-*: Update german translation
          files. (266d18b)
        * po/{templates.pot,de.po}: Update german translation files.
          (c8034a7)
        * po/*: Update po files. (cca95c9)
        * Makefile.debug: Add usefull packages to prepare_debugging_server
          target. - iproute2 - ipcalc - ipv6calc (a8e080e)
        * debian/d-e-r-c.config: Add filter_ifaces_by_online_status() and use
          it to filter NICs which are not ONLINE. (710df61)
          Fixes:
          #45

        * debian/d-e-r-c.common: Add debug_log_stderr() to print debug logs
          into stderr. (25bc868)
        * debian/d-e-r-c.config: Fix bug where one could bypass plugging out
          the network cables at STEP-BY-STEP setup. (eb78406)

2023-01-27 Mike Gabriel

        * debian/copyright: Update auto-generated copyright.in file.
          (204da46)
        * debian/control: Bump Standards-Version: to 4.6.2. No changes
          needed. (d6b1f07)
        * debian/control: Make R: field in d-e-r-config a multi-line field.
          (1ca2e94)

2023-01-26 Daniel Teichmann

        * debian/d-e-r-c.{common,postinst}: Comment out too verbose debug
          logs. (c2955f8)
        * debian/d-e-r-c.postinst: Generate reverse NAT UIF config in
          postinst. (df9af37)
        * debian/control: Add iproute2 (ss command) as dependency; Add
          ip{v6}calc as recommended package. (62fe757)

2023-01-23 Daniel Teichmann

        * debian/d-e-r-c.{common,config}: Add validation for reverse NAT
          dialog. (6bd3cbb)

2023-01-26 Daniel Teichmann

        * debian/d-e-r-c.{common,config,postinst}: Move common variables and
          functs. into common file. (b6f1d29)

2023-01-23 Daniel Teichmann

        * debian/d-e-r-c.config: Rewrite get_internal_networks to use
          dictionary instead of normal array. (1805a93)

2023-01-26 Daniel Teichmann

        * debian/d-e-r-c.{config, templates}: Add Reverse NAT dialog.
          (73ad199)

2023-01-20 Daniel Teichmann

        * debian/d-e-r-c.postinst: Don't generate trustworthy ips conf, if
          all networks already have direct inet access configured.
          (cde26d5)

2023-01-26 Daniel Teichmann

        * Makefile.iso: Allow builds with different target release to
          coexists. (780c72a)

2023-01-25 Daniel Teichmann

        * bin/d-e-r-loginmenu.sh: Implement shutdown/reboot options with
          support for custom translatable validation strings.
          (7f747fd)

2023-01-26 Daniel Teichmann

        * debian/d-e-r-c.common: Disable colors, if they aren't supporte.
          Add color variables. (22cb164)
        * debian/d-e-r-c.{common,config,postinst}: Replace warnings with echo
          with new warning_log(). (61e67b9)
        * debian/d-e-r-c.{common,config,postinst,install}: Add file where
          common functions go. (cd24136)

2023-01-23 Daniel Teichmann

        * Makefile.iso: Add 'upload-iso-file' target. (ddb18d4)

2023-01-20 Daniel Teichmann

        * Makefile.debug: Don't run apt-get interactively. (9ca87b4)
        * Makefile.debug: Don't run lintian for debug builds. (f30d0f6)

2023-01-12 Daniel Teichmann

        * debian/d-e-r-config.{postinst, config}: Add more debug_log output.
          Replace old if-style debug outputs with debug_log().
          (c944f1d)

2023-01-11 Daniel Teichmann

        * fai/config/debconf/DEBIAN_EDU_ROUTER: Always allow direct internet
          access for Tjener. (4009311)
        * debian/d-e-r-config.postinst: Process trustworthy ips and generate
          uif config files. (0f9c617)

2023-01-12 Daniel Teichmann

        * debian/d-e-r-config.postinst: Add is_netmask_v{4,6} and
          is_valid_ipconfig_v{4,6} functions. (d26b1e5)

2023-01-11 Daniel Teichmann

        * debian/d-e-r-config.config: Ask trustworthy ips/networks question
          and validate answer. (d95c74f)
        * debian/d-e-r-config.templates: Add templates for trustworthy
          internal IPs/networks. (118c614)
        * debian/d-e-r-config.config: Also print debug messages if
          D_E_R_DEBUG env-var is set. (c973dfa)
        * debian/d-e-r-config.config: Add ipv4_to_decimal() and
          is_ip4config_in_network(). (56a84fc)

2023-01-10 Daniel Teichmann

        * debian/d-e-r-config.config: Don't let admin backup into network
          setup questions, if they should be skipped. (347bcbc)

2022-12-21 Daniel Teichmann

        * debian/debian-edu-router-config.config: Use debug_log() for debug
          logs instead of echo. (cf543c7)
        * debian/debian-edu-router-config.config: Add debug_log() function.
          (3743b59)

2022-12-20 Daniel Teichmann

        * debian/debian-edu-router-config.config: Add
          compare_comma_separated_items() function. (04aadfe)

2023-01-10 Daniel Teichmann

        * Makefile.debug: Add 'D_E_R_DEBUG' env variable while installing
          package. (6f7ce84)
        * Makefile.debug: Add 'watch'-target. (4aa4255)

2022-12-01 Daniel Teichmann

        * Makefile.{debug, iso}: Split CODENAME into CODENAME_ISO and
          CODENAME_DEBUG. (3164edc)
        * Makefile.{debug, iso}: Add *.iso files to clean target. (6760b8b)
        * .gitignore, Makefile.{debug, iso}: Add optional inclusion of env
          file for Makefiles. (f8a410d)

2022-11-25 Daniel Teichmann

        * Add Makefile.{debug, iso} files for debugging and iso image
          creation. (01a54b2)

2023-01-16 Mike Gabriel

        * debian/: Fine-tune English phrases of new IP forwarding consent
          dialog. (58f09a4)

2023-01-12 Daniel Teichmann

        * debian/d-e-r-config.postinst: Don't enable router advertisement or
          solicitation if IPv6 is disabled. (73ed48c)
          Fixes: #47

2022-12-16 Daniel Teichmann

        * debian/debian-edu-router-config.{templates, config}: Add IP
          forwarding consent dialog. (8d5bb5a)
        * Delete all traces of old sysctl conf file
          '30-debian-edu-router-config.conf'. (f046b2d)
        * debian/debian-edu-router-config.postinst: Generate sysctl conf file
          on-the-fly. (9164694)

2022-12-08 Daniel Teichmann

        * debian/debian-edu-router-config.postinst: Reload sysctl config
          files at the end of postinst. (7df3231)
          Fixes: #48

2022-12-01 Daniel Teichmann

        * debian/debian-edu-router-config.config: Fix interface matching
          confirmation dialogs for Step-By-Step mode.
          (c5791e6)
          Fixes: #46

2022-11-30 Daniel Teichmann

        * FAI: Add startup/shutdown chiptune systemd service. (a229050)
          Fixes:
          #50

2022-12-01 Daniel Teichmann

        * debian/debian-edu-router-config.config: Fix filtering of manually
          configured ifaces. (261a40a)

2022-11-25 Daniel Teichmann

        * debian/debian-edu-router-config.config: Fix quoting in
          available_network_interfaces_{online, offline}().
          (de6a5a5)
        * debian/debian-edu-router-fai.prerm: Be more specific while remove
          /var/lib/debian-edu-router-fai/ucf/. (1a989f3)

2022-11-25 Mike Gabriel

        * debian/debian-edu-router-config.config: Inject commas in
          ifaces_connected, strip blank at end-of-string. (13dfe9e)

2022-11-22 Mike Gabriel

        * debian/debian-edu-router-config.{postrm,templates}: When purging
          d-e-r-config, also purge dnsmasq.d config snippets.
          (1548173)

2022-11-08 Daniel Teichmann

        * debian/debian-edu-router-config.postinst: Suppress 'ip a s'-errors
          in iface_adress_v{4, 6}(). (c078417)

2022-11-07 Mike Gabriel

        * fai/config/scripts/LAST/90-reconfigure-d-e-r-config: Wrap long
          line. (4afa361)
        * debian/<scripts>: Introduce FORCE_NETWORK_SETUP_POSTINST as
          stronger opponent to SKIP-NETWORK-SETUP deconf setting.
          (1b90556)

2022-11-08 Mike Gabriel

        * debian/debian-edu-router-config.postinst: Simplify network iface
          setup check for internal networks. (4a0a7a0)

2022-11-07 Mike Gabriel

        * debian/<scripts>: Rename CONFIGURE_NONE to
          SKIP_DEBCONF_QUESTIONS_CONFIG. (2a3bc64)
        * debian/<scripts>: Rename NO_SERVICE_RESTARTS variable to
          SKIP_SERVICE_RESTARTS_POSTINST. (206c418)

2022-11-04 Daniel Teichmann

        * debian/debian-edu-router-config.{templates, postrm}: Replace
          stdout-warnings with debconf dialog. (25f21c4)

2022-11-22 Daniel Teichmann

        * debian/debian-edu-router-config.config: Fix broken handling of
          multiline sed and instead use tr '\n' ' '. (9591095)

2022-11-14 Daniel Teichmann

        * debian/debian-edu-router-config.config: Mark more clearly where
          services and firewall dialogs begin and end. (8ca5b59)

2022-11-11 Mike Gabriel

        * debconf: If CONFIGURE_ONLY is set to SERVICES_ALL, don't configure
          the firewall settings. (b50ecc0)

2022-11-14 Daniel Teichmann

        * debian/debian-edu-router-config.config: Add comments & Add debug
          output if user tried to backup beyond BACKSTOP point.
          (c0f2dfa)

2022-11-11 Mike Gabriel

        * debconf: With CONFIGURE_ONLY set, don't allow going backwards in
          dialogs any further than the entry point defined via
          CONFIGURE_ONLY. (84bcc4b)

2022-11-07 Mike Gabriel

        * conf/debian-edu/router.conf{,.d}: Provide overridable mechanism for
          parameterizing scripts in Debian Edu Router. (26279e2)

2022-11-11 Mike Gabriel

        * debian/debian-edu-router-config.config: Do type consistent (str vs.
          bool) comparisons. (87c0b8a)
        * debian/debian-edu-router-config.config: Pre-define IPV4, IPV6 and
          some other network related variables outside of
          while-loop. (a27d081)
        * debian/debian-edu-router-config.config: Add functions for checkout
          if IPv4/IPv6 is set to enabled. (3aa2fbf)
        * fai/config/class/51-os-version-from-nfsroot: If VERSION_ID is
          missing in /etc/os-release, add class DEBIAN_<codename>
          instead. (1bf3324)
        * fai/class/DEBIAN_*.var: Provide copies of DEBIAN_<version>.var as
          DEBIAN_<codename>.var. (8da507f)
        * fai/config/class/51-os-version-from-nfsroot: Indent with tabs
          (white-space only change). (f6d159b)
        * bin/debian-edu-router-fai_mkcd: Create the new ISO/SquashFS
          image(s) as hidden files first. (292f27e)
        * fai/config/debconf/DEBIAN_EDU_ROUTER: Assure that
          debian-edu-router-config/net-ip-versions-enabled will get
          set to  IPv4, only, for now. (0e2347a)
        * debconf: Set IPv4 as default value for
          debian-edu-router-config/net-ip-versions-enabled.
          (7f94b07)
        * debian/debian-edu-router-config.postinst: Only add 'auto <iface>'
          line if either IPv4 or IPv6 has been enabled. (f9a0481)

2022-11-09 Mike Gabriel

        * Rename
          fai/config/_obsolete-files.d/debian-edu-router-config.removed
          to debian-edu-router-fai.removed. (b8f254c)

2022-11-08 Daniel Teichmann

        * debian/debian-edu-router-config.config: Wrap long
          ifaces_connected[] lines. (470b739)

2022-11-07 Mike Gabriel

        * debian/debian-edu-router-config.config: Properly find+replace
          line-breaks ('\n') in ifaces_connected[] array. (89cbee1)

2022-10-24 Daniel Teichmann

        * debian/debian-edu-router-config.postinst: Don't create network
          configuration if the IP version is disabled. (5b43a44)
        * debian/debian-edu-router-config.config: Ask nameserver question
          again if syntax check failed. (f3106d8)
        * debian/debian-edu-router-config.config: Add evaluation for
          IPv4/IPv6 dialog & Don't show questions if not needed.
          (e9c1054)

2022-10-10 Daniel Teichmann

        * debian-edu-router/debian/debian-edu-router-config.{config,
          templates}: Add IPv4/IPv6 dialog. (fd21aa3)
        * debian-edu-router/fai/config/hooks/install.GATEWAY.sh: Slightly
          change wording of initial dialog after first network setup
          attempt. (ab45b3f)
          Fixes: #37

        * debian-edu-router/fai/config/hooks/install.GATEWAY.sh: Move IPv4
          dialog stuff into own function. (3fd0053)

2022-11-03 Mike Gabriel

        * fai/config/debconf/DEBIAN_EDU_ROUTER: Fix default gateway IP on
          Mgmt network. (4c7be86)

2022-10-10 Daniel Teichmann

        * fai/config/debconf/DEBIAN_EDU_ROUTER: Add defaults for new
          'Printers' network. (2ff0e83)
        * debian/debian-edu-router-config.postinst: Adjust testmode IP's.
          (b434ec4)

2022-10-05 Daniel Teichmann

        * debian/debian-edu-router-config.{postinst, templates, config}: Add
          'Printer' network. (26814bb)
        * debian/debian-edu-router-config.postrm: Add FIXME 'purge
          debconf-managed dnsmasq config snippets too'. (4f72d56)

2022-09-30 Daniel Teichmann

        * debian/debian-edu-router-config.{config, templates}: Don't offer
          already manually configured interfaces. (48669c4)
          Fixes: #8

2022-10-10 Daniel Teichmann

        *: Rename network 'Backbone' to 'Mgmt'. (794b4fe)
        * debian/debian-edu-router-config.templates: Omit wrongfully placed
          'Default' field. (95ab210)
          Fixes: #38

2022-09-29 Mike Gabriel

        * fai/config/hooks/install.GATEWAY.sh: Use 'grep -E' when filtering
          out unwanted network device names. (6c7090b)
        * fai/config/hooks/install.GATEWAY.sh: Don't abort script if 'grep'
          command fails during parsing of iface_description.
          (e3f6b4a)

2022-09-28 Mike Gabriel

        * fai/config/files/etc/motd/DEBIAN_EDU_ROUTER: Ship our own motd file
          (acting as an example). (f4364ca)

2022-09-29 Daniel Teichmann

        * debian/debian-edu-router-config.postinst: Rename Uplink & Global
          configuration files slightly. (4c4aa61)

2022-09-28 Mike Gabriel

        * debian/debian-edu-router-config.postinst: Only create Uplink UIF
          configuration snippet if we know the Uplink NIC's device
          name. (a1d4b7d)
        * debian/debian-edu-router-config.postinst: Append
          rules-start/rules-end to UIF config snippet files.
          (20f7935)
        * debian/debian-edu-router-config.postinst: White-space amendments.
          (61f5e08)
        * fai/config/: Use dpkg-reconfigure to create all d-e-r-config
          related config files (instead of creating the files
          ourselves). (9163c43)

2022-09-27 Mike Gabriel

        * fai/config/hooks/install.DEBIAN_EDU_ROUTER.sh: Check for number of
          available NICs and complain if too few. (7ce220c)
          Fixes:
          #27

        * fai/config/debconf/DEBIAN_EDU_ROUTER: Add explicit defaults for
          Debian Edu Router (i.e. a router as part of a Debian Edu
          network). (b2f312d)
          Fixes: #5

        * debian/debian-edu-router-config.templates: By default, don't
          configure any internal network. (e667ba5)

2022-09-28 Mike Gabriel

        * fai/config/_obsolete-files.d/debian-edu-router-config.removed: Drop
          files/etc/fai/fai.conf/GATEWAY. This file actually gets
          auto-generated with every d-e-r-fai_updateconfig space
          script run. (9985b68)
        * fai/config/_obsolete-files.d/debian-edu-router-config.removed:
          Update with recently removed files. (b9d2077)
        * fai/config/files/etc/motd/GATEWAY: Drop file. Superceded by
          DEBIAN_EDU_ROUTER's motd file (or a similar vendor
          specific motd file). (55922e2)
        * fai/config/files/etc/hosts/gateway: Rename from gateway (hostname)
          to GATEWAY (class name). (152d957)
        * conf/debian-edu/fai/debian-edu-router-fai.TEMPLATE/grub.cfg: Offer
          two Uplink NIC discovery methods in GRUB menu of the FAI
          installer. (e838698)
        * fai/config/: Allow for multiple vendors (bin:pkgs) to place
          .removed files that document which config space files got
          removed from the FAI config space over time. (80456e5)
        * debian/debian-edu-router-fai.install: Install
          debian-edu-router-fai_updateconfigspace into bin:pkg
          debian-edu-router-fai. This has been forgotten, so far.
          (51cc1ad)
        * bin/debian-edu-router-fai_updateconfigspace: Remove '*.ucf-*'
          backup files created by ucf. They disturb the operation of
          FAI. (e6ada4f)

2022-09-28 Daniel Teichmann

        * debian/debian-edu-router-config.postinst: Introduce smart config
          backup system. (40d82e3)

2022-09-23 Mike Gabriel

        * fai/config/debconf/GATEWAY: Move uif pre-seeding from the
          GATEWAY/10-networking script to debconf/GATEWAY. (28070c5)

2022-09-27 Mike Gabriel

        * Revert "fai/config/debconf/GATEWAY: Move uif pre-seeding from the
          GATEWAY/10-networking script to debconf/GATEWAY."
          (3343306)
        * fai/config/scripts/GATEWAY/10-networking: White-space fixes.
          (4382a46)
        * fai/config/scripts/GATEWAY/10-networking: Use ROOTCMD to execute
          commands in the installation target. (76c46a4)
        * fai/config/scripts/GATEWAY/10-networking: Use correct variable for
          uplink iface. (996932a)

2022-09-26 Daniel Teichmann

        * debian/debian-edu-router-config.postinst: Fix wrong '.conf' suffix
          for rm commands. (d72180b)
        * debian/changelog: Revert changes made by commit 00f41cd3e8cdfa.
          (21a4a0b)

2022-09-23 Mike Gabriel

        * fai/config/scripts/GATEWAY/10-networking: Fix interface name in
          comment. (1927529)
        * fai/config/debconf/GATEWAY: Move uif pre-seeding from the
          GATEWAY/10-networking script to debconf/GATEWAY. (00f41cd)

2022-09-22 Daniel Teichmann

        * fai/scripts/GATEWAY/10-networking: Preseed uif with
          debian-edu-router mode. (cd6881c)
          Fixes: #28

2022-09-14 Daniel Teichmann

        *
          fai/config/{hooks/install.GATEWAY.sh,scripts/GATEWAY/10-networking}:
          Preseed d-e-r with uplink interface. (4523c06)
          Fixes: #6

2022-09-22 Mike Gabriel

        * fai/config/scripts/DEBIAN/30-interface: Bail out early if we
          install a GATEWAY. (5778ddd)

2022-09-14 Daniel Teichmann

        * conf/sysctl.d/30-debian-edu-router-config.conf: Adjust
          kernel.printk to actually stop kernel messages being
          printed on TTY. (8258627)
          Fixes: #25

2022-09-09 Mike Gabriel

        * debian/debian-edu-router-config.config: Reload
          service_dhcp_networks_{v4,v6} from debconf, so that we can
          properly work with it further. (7e690c1)
        * debian/debian-edu-router-config.config: Omit 'Uplink' network from
          networks where a  DHCPv4/v6 service can be added.
          (b4a2e3d)
        * debian/debian-edu-router-config.config: Use '999' as very high
          state, not '99'. We are already at '57' with available
          states, so '99' is not really far away anymore. (85024f3)
        * debian/debian-edu-router-config.config: Use backticks to not
          confuse mcedit's syntax highlighter. (6be41e9)
        * debian/debian-edu-router-config.postinst: Fix output to /dev/stdout
          in TEST_MODE. (cd4563b)

2022-09-12 Daniel Teichmann

        * Update po/*/*/*.po files. (5f27483)

2022-09-09 Mike Gabriel

        * debian/debian-edu-router-config.config: Only enforce external
          nameserver IP(s) if 'Uplink' is configured statically.
          (353b7be)
        * debian/debian-edu-router-config.config: Introduce a failure counter
          for unsufficiently answered questions. (229de6f)

2022-09-09 Daniel Teichmann

        * conf/sysctl.d/30-debian-edu-router-config.conf: Lower kernel log
          level. (66a9473)
          Fixes: #22

2022-09-09 Mike Gabriel

        * fai/config/scripts/GATEWAY/10-networking: Add FIXME for
          d-e-r-config uplink interface preseeding. (6af89d3)
        * fai/config/scripts/GATEWAY/10-networking: Turn standalone if-clause
          into elif-clause. (02d4e11)

2022-08-22 Daniel Teichmann

        * debian/debian-edu-router-config.config: Extend state-machine to
          allow arbitrary jumps between steps. (9f903fd)

2022-08-19 Daniel Teichmann

        * debian/debian-edu-router-config.config: Echo very useful step debug
          information if DEBCONF_DEBUG is set to 'developer'.
          (4ec5f87)
        * debian/debian-edu-router-config.config: Fix backing up from step 16
          when vlans shouldn't be configured. (cc721d6)
        * debian/debian-edu-router-config.config: Implement state direction
          system. (de65010)
        * debian/debian-edu-router-config.config: Fix 'db_capb' command.
          (525f1f0)
        * debian/debian-edu-router-config.config: Fix broken if-clause. Fix
          few whitespace errors. (0d05191)

2022-06-16 Daniel Teichmann

        * debian/debian-edu-router-config.config: Make first dialog
          'net_setup_mode' cancelable. (ce34b1d)
        * debian/debian-edu-router-config.{config, templates}: Add
          retry-counter to step-by-step setup. (dca554d)

2022-09-08 Daniel Teichmann

        * debian/debian-edu-router-config.config: Filter out any interfaces
          containing '@'. (845a7c4)
          Fixes: #23

2022-08-23 Daniel Teichmann

        * debian/debian-edu-router-config.postinst: Set net-setup-mode to
          skip to prevent breakage by future package upgrades.
          (62f1722)
          Fixes: #19

2022-06-01 Mike Gabriel

        * debian/debian-edu-router-config.config: Make sure
          net_networks_staticip_v4 is set when configuring only
          SERVICES_ALL. (0f66665)
        * debian/po/de.po: Various localization fixes. (804bf89)
        * debian/debian-edu-router-config.config: Make services configurable
          via debian-edu-router-loginmenu(.sh). (4d34d99)
        * debian/po/: Update translation files. (0b4699b)
        * debian/debian-edu-router-config.templates: Adjust IPv4 DHCP
          examples to network address examples. (8ace1b6)
        * debian/debian-edu-router-config.postinst: Only let dnsmasq react to
          queries coming from explicitly white-listed network
          interfaces. (2256ad4)
        * debian/debian-edu-router-config.postinst: Calculate IPv4 networks
          from IP address and netmask. (Similar algorithm needed for
          IPv6, mark with FIXME for now). (f7802e2)
        * debian/debian-edu-router-config.postinst: Add empty line in
          uif.conf.d/ files for better readability. (6817e6c)
        * conf/sysctl.d/30-debian-edu-router-config.conf: Fix filename in
          comment. (46cbe5a)
        * debian/debian-edu-router-config.postinst: White-space changes in
          uif.conf.d/ files. (576a422)
        * debian/debian-edu-router-config.postinst: Support IPv6 RA/RS on all
          interfaces by default. (af9e3de)

2022-05-31 Mike Gabriel

        * debian/debian-edu-router-config.postinst: Rephrase config comment.
          (29a562a)
        * debian/debian-edu-router-config.postinst: Also allow incoming DNS
          queries. (705fadc)
        * debian/debian-edu-router-config.postinst: in+ p=bootp in filtering
          config that starts a network filter configuration.
          (55dae24)
        * debian/debian-edu-router-config.postinst: Drop superfluous echo
          commands. (a910b9b)
        * debian/debian-edu-router-config.postinst: Fix nasty flaw in
          dnsmasq.d/ config snippet. (b6b4881)
        * debian/po/: Update templates.pot and de.po. (9608ed8)
        * debian/copyright: Update copyright attributions. (0f28bd2)
        * bin/debian-edu-router-loginmenu.sh: Show MAC address for each
          network in login menu header. (47bcd88)

2022-05-31 Daniel Teichmann

        * debian/debian-edu-router-config.config: Show MAC address in
          addition to interface name and description. (7985a60)

2022-05-31 Mike Gabriel

        * debian/debian-edu-router-config.postinst: Grammar fix in comment.
          (db9670b)
        * debian/debian-edu-router-config.postinst: Add missing
          end-block-output when in TEST_MODE at end of firewall
          config printout. (a405f7d)
        * debian/debian-edu-router-config.postinst: Improve commenting, show
          status report after something has been achieved, not
          before. (a774e26)
        * debian/debian-edu-router-config.postinst: Better document inline
          what debconf variablesare for. (9b40407)
        * debian/debian-edu-router-config.<debconf>: Add configuration
          support for dnsmasq's DHCP server ranges. (25c31d5)
        * debian/debian-edu-router-config: Handle failing DNS server syntax
          check more gracefully (show error and ask again).
          (556c117)
        * debian/debian-edu-router-config.config: Make REGEXP_ variables
          reusable in combined expressions. (af9c23c)

2022-05-30 Mike Gabriel

        * debian/debian-edu-router-config.postinst: Unconditionally allow
          incoming DHCP queries. The DHCP service will choose on
          what requests to answer and on what not. (dd91a03)
        *
          fai/config/files/etc/apt/sources.list.d/debian-edu-router-development.list/DEVELOPMENT:
          Add {%release%}-backports of ITZkS package archive to have
          e.g. opennds available for installation. (6f10abb)

2022-05-20 Mike Gabriel

        * debian/debian-edu-router-config.postinst: Layout improvements in
          process_firewall_answers() [white-space only]. (01826db)
        * debian/debian-edu-router-config.postinst: Split up network policies
          into two parts (iface declaration, NAT and (later)
          exceptions _and_ final default policy (allow or block the
          rest). (15a9bfa)
        * debian/debian-edu-router-config.postinst: Fix spacing in uif config
          files. (4ca9ea6)
        * debian/debian-edu-router-config.postinst: Fix generation of UIF
          files containing network definitions. (26db704)
        * debian/debian-edu-router-config.postinst: Remove firewall
          configuration snippets before re-creating the firewall
          setup. (311053d)
        * debian/debian-edu-router-config.postinst: Increment config number
          prefix for firewall (uif) configuration snippet files.
          (28b47af)
        * bin/debian-edu-router-loginmenu.sh: Show warning if no network
          interface is online in login menu's header. (d7536d0)

2022-05-19 Mike Gabriel

        * debian/debian-edu-router-config.postinst: Only configure firewall
          for a network if its iface is well defined. (9450058)
        * debian/debian-edu-router-config.postinst: Only configure networking
          if an iface is well defined. (59437e0)
        * debian/debian-edu-router-config.postinst: Always restart
          networking/services (unless in TEST_MODE). (3b7c08d)

2022-05-13 Mike Gabriel

        * debconf: Rename edu-related debconf variables, use 'education'
          instead of 'edu'. (eda6d47)

2022-05-12 Mike Gabriel

        * bin/debian-edu-router-loginmenu.sh: Provide more space for network
          type name in header. (f54a74a)
        * fai/config/: Drop plan of using bind9. Use dnsmasq in a first
          approach for now. (This might change later on if dnsmasq
          turns out not to be performant enough on large networks)."
          (2a040f0)
        * fai/config/package_config/FIREWALL: Switch from ufw to uif.
          (1767892)
        * debian/control: Conflict with other well-known network setup tools
          and firewall scripts. (c750275)
        * debian/debian-edu-router-config.postrm: Clean-up debconf-generated
          on package purging. (1c66411)
        * debian/<scripts>: chmod a+x if not yet so. (6b696d0)
        *
          conf/debian-edu/fai/debian-edu-router-fai.TEMPLATE/apt/sources.list.in:
          Use dracut 056 provided via development APT archive while
          it is not available in Debian
          bullseye-backports/bookworm/unstable. (230583d)
        *
          conf/debian-edu/fai/debian-edu-router-fai.TEMPLATE/apt/trusted.gpg.d/itzks-keyring.gpg:
          Add file. Trust ITZkS APT archive while we are still
          developing the Debian Edu Router system. (128e056)
        * debian/control: Add to R (d-e-r-config): dnsmasq. (4c30b19)
        * fai/config/: Rename language classes and prefix with 'LANG_'. (This
          completes db9ed3d4). (9bc1f63)

2022-05-10 Mike Gabriel

        * debian/po/: Update German debconf translation. (60f60bb)
        * debconf: Add 'School-Administration' network type. (693ca13)
        * bin/debian-edu-router-loginmenu.sh: Display fine-tuning (when to
          reset terminal, when to show header, etc.). (cab71f0)
        * debian/control: Add D (debian-edu-router-config): iptraf. (3c0a1b0)
        * debian/debian-edu-router-config.postinst: Really restart networking
          if not in TEST_MODE. (f8b57ec)
        * fai/config/scripts/GATEWAY/10-networking: Source
          /etc/network/interfaces.d/* from /etc/network/interfaces.
          (d5e07e3)
        * conf/debian-edu/fai/debian-edu-router-fai.TEMPLATE/grub.cfg: Use
          ip=single-dhcp dracut.cmdline option. (3695dca)
        * bin/debian-edu-router-loginmenu.sh: Hide errors from 'ip a show'.
          (ac2dccd)
        * fai/config/files/etc/motd/GATEWAY: Drop productnames such as FAI,
          Debian Edu Router, etc. Also drop FAI slogan. (22b4e07)
        * conf/profile.d/d-e-r_on-login.sh: Set executable bits (file
          permissions). (abb7a3f)
        * conf/profile.d/d-e-r_on-login.sh: Check presence of correct script
          (<d-e-r>-loginmenu). (63adec9)

2022-05-09 Mike Gabriel

        * debian/po: Update German translation. (cd1efe8)
        * debian/po: Update debconf translation template. (0e7e107)
        * debian/debian-edu-router-config.postinst: Drop some immature,
          failure-causing devcode for now. (fd47703)
        * fai/config/class/: Rename language classes and prefix with 'LANG_'.
          (db9ed3d)
        * debian/po: Update German translation. (e35782b)
        * debian/po: Update debconf translations. (beb9097)
        * po/: Update German translation files. (788d6ea)
        * po/: Update translations. (788456b)
        * debian/rules: Add dh_clean override; clean up i18n
          development/build cruft properly. (b6ca33d)
        * debian/debian-edu-router-config.templates: Shorten some
          SHORT_DESCRIPTIONS; modify some Choices: fields. (bd624d0)
        * debian/copyright: Update copyright attributions. (ff68f99)

2022-05-07 Mike Gabriel

        * Revert "debian/debian-edu-router-config.templates: Make choices
          translatable individually." (dd016ba)

2022-05-09 Mike Gabriel

        * install.GATEWAY.sh: Fix some backticks, let script pass syntax
          checks. (6d91a02)
        * conf/sysctl.d/debian-edu-router-config.conf: Add file, enable
          IPv4/IPv6 forwarding globally. (f847aff)

2022-05-07 Mike Gabriel

        * debian/debian-edu-router-config.*: Add basic uif configuration via
          debconf dialogs. (96dab77)

2022-05-09 Mike Gabriel

        * debian/debian-edu-router-config.postinst: Don't use VLAN
          interfaces, if VLAN's shall not be used. (e7d94de)

2022-05-08 Mike Gabriel

        * debian/debian-edu-router-config.postinst: Use curly braces around
          shell variables. (f0d2e6f)

2022-05-07 Mike Gabriel

        * debian/debian-edu-router-config.postinst: Complete network
          information (esp. DHCP assigned addresses/networks) after
          networking has restarted. (e1b94b7)
        * debian/debian-edu-router-config.postinst: Use more quotes in
          process_networking_answers(). (a0a3b9c)
        * debian/debian-edu-router-config.templates: Make choices
          translatable individually. (60c19c1)
        * d/changelog: Fix version number. (f6727b7)

2022-05-05 Mike Gabriel

        * debian/control: Require uif (>= 1.99.0-3~). (8509af2)
        * bin/debian-edu-router-loginmenu.sh: Various white-space fixes.
          (8132701)
        * bin/debian-edu-router-loginmenu.sh: Add info header to login menu
          (like in pfSense console). (fa8805e)

2022-05-04 Mike Gabriel

        * debconf: Greater hint to <address>/<netmask> syntax usage on IP
          address validation failures. (b21717d)
        * debconf: Make IPv4 examples more distinguishable in debconf
          templates. (24388c8)
        * debconf: Convert numeric-only netmask of static IPv4 'Uplink' NIC
          ifupdown configuration. (3e763c2)
        * debconf: Capture corner case when removing items for choices.
          (28f527e)
        * debconf: Make DNS nameserver IPs configurable. (bdb46b8)
        * debconf: Several fixes for gateway IP configuration. (207a3dc)

2022-05-02 Mike Gabriel

        * debconf: Add dialogs for configuring static IPv4/IPv6 upstream
          gateways. (4a571e2)
        * debian/debian-edu-router-config.postinst: Add static IPv6 address
          to 'Uplink' interface. This was still missing. (606bb92)

2022-04-22 Mike Gabriel

        * po/: Update translation files. (d47f3d5)
        * bin/debian-edu-router-loginmenu.sh: Turn into usable state, invoke
          dpkg-reconfigure from submenu items. (cb571ff)
        * fai/config/hooks/install.*.sh: Fix i18n text passages containing
          variables (use printf). (5329552)
        * debian/rules: Fix renaming of .sh script files. (00c307c)
        * debian/debian-edu-router-config.postinst: Typo fix in
          dns-nameservers line. (fb9cbc8)
        * debian/debian-edu-router-config.postinst: Typo fix (missing '|'
          symbol). (3483316)
        * debian/debian-edu-router-config.config: Correctly set
          NETWORK_SETUP_LAST variable. (f8e2efe)
        * debian/<debconf>: Add dummy firewall/services dialogs. (b0e9233)
        * Rename bin/debian-edu-router-setup.sh ->
          bin/debian-edu-router-loginmenu.sh. (b58d0fe)

2022-04-21 Mike Gabriel

        * debian/po/de.po: Draft a German translation. (fce6b32)
        * debian/po/templates.pot: Update po template file. (ee1d993)
        * debian/debian-edu-router-config.templates: Fine-tune English
          phrases in debconf dialogs. (b00fcf8)
        * debian/po/templates.pot: Update debconf translation template.
          (27cf15d)
        * po/de/: Update debian-edu-router-fai.po. (d3aa09a)
        * po/: Update translation files. (b8f7fe0)
        * fai/config/hooks/install.DEFAULT.sh: Rephrase some dialog texts.
          (5f94652)

2022-04-20 Mike Gabriel

        * fai/config/hooks/install.GATEWAY.sh: We forgot to export TEXTDOMAIN
          to the environment. (734c4c1)
        * po/: Update German translation of debian-edu-router-fai.pot.
          (3f06260)
        * fai/config/hooks/install.DEFAULT.sh: Internationalize dialogs in
          this hook script. (6d8aaa1)
        * debian/: Install new scripts and translation files into DEB
          packages. (a971b5f)
        * po/: Add translation files for the upstream code portion. (2d94a58)
        * i18n: Add scripts (update-pot.sh, update-po.sh) to maintain i18n
          translations. (4abd4b4)
        * fai/config/hooks/install.GATEWAY.sh: Make script localizable.
          (e2ffbcb)
        * conf/profile.d/d-e-r_on-login.sh: Invoke debian-edu-router-setup
          after login as root. (da2308d)
        * bin/debian-edu-router-setup.sh: Adopt menu script from old versions
          of MNS+ Skolerouter. (35e8469)
        * fai/config/scripts/GATEWAY/10-networking: Mimick config file name
          and style of debconf-created
          /etc/network/interfaces.d/00_d-e-r_Uplink. (8ce53e3)
        * debian/debian-edu-router-config.postinst: Put headline box at top
          of ifupdown config files. (0865caa)
        * debian/debian-edu-router-config.postinst: Add more error checks and
          capture more corner cases. (d48b3e0)
        * debian/debian-edu-router-config.postinst: Don't only support
          TEST_MODE network setup, but really create ifupdown config
          files as configured via debconf. (1ad9728)

2022-04-19 Mike Gabriel

        * debian/control: Add D (debian-edu-router-config): uif (>= 1.99.0).
          (71d5f6d)

2022-04-08 Mike Gabriel

        * debian-edu-router-config debconf: Add IPv4/IPv6 address
          configuration dialogs. (b61a916)

2022-04-07 Mike Gabriel

        * debian/debian-edu-router-config.config: Hide tunX network
          interfaces from list of available interfaces. (9eaa649)

2022-04-02 Mike Gabriel

        * debian/debian-edu-router-config.postinst: Initial draft of debconf
          handling when in TEST_MODE. (b615f70)
        * debian/debian-edu-router-config.config: Add FIXME. (a142975)
        * debian/debian-edu-router-config.config: Drop debug message.
          (f600230)
        * debian/debian-edu-router-config.config: Syntax fix in if-clause.
          (a86d8d4)
        * debian/debian-edu-router-config.config: Better way of detecting
          whether network setup should be skipped. (33af8cc)
        * ebian/debian-edu-router-config.config: Don't db_reset
          debian-edu-router-config/net-int-supportednetworks-via-vlan.
          (e313a2e)
        * debian/debian-edu-router-config.config: VLAN IDs must range from 1
          to 4095 (not 0 to 4096). (be57147)
        * fai/config/hooks/install.GATEWAY.sh: Improve regexp for ignoring
          non-physical network interfaces. (592b5d2)
        * debian/debian-edu-router-config.config: Improve regexp for
          ignorable network devices. (1898732)
        * debian/control: Add D (d-e-r-config): pkgs 'ifupdown' and 'vlan'.
          (f0e7de9)

2022-04-01 Mike Gabriel

        * debian/po/: Add translation template file. (4bf1eab)
        * debian-edu-router-config: Initial debconf templates for network
          interfaces and VLAN assignments. (e31bd5f)

2022-03-25 Mike Gabriel

        * fai/config/FAI-configspace_obsolete-files.txt: Update list of
          removed/renamed files. (0f42ed9)
        * debian/copyright{,.in}: Update copyright attributions. (5c3ebe4)
        * fai/config/scripts/GATEWAY/10-networking: Add comments and mark
          ifupdown configs as part of the Debian Edu Router setup.
          (0db278d)
        * Revert "fai/config/scripts/GATEWAY/10-networking: Add comments and
          mark ifupdown configs as part of the Debian Edu Router
          setup." (7f8d6bb)
        * fai/config/package_config/DEBIAN_EDU_ROUTER: Install Debian Edu
          artwork if installed as Debian Edu Router. (581348e)
        * fai/config/: Rename z10_debian-edu-router.profile to
          z20_debian-edu-router.profile. (142a782)
        * debian/copyright{,.in}: Update copyright attributions. (a03aa09)
        * fai/config/: Drop class DEMO and references to it. (11f20b8)
        * fai/config/scripts/GATEWAY/10-networking: Add comments and mark
          ifupdown configs as part of the Debian Edu Router setup.
          (04e21dd)
        * scripts/FAIBASE/10-misc: Only add tmpfs mountpoint for /tmp if /tmp
          is not already in fstab. (c84b5bb)
        * debian/copyright: Update copyright attributions. (5e7c0c0)
        * debian/copyright: Update auto-generated copyright.in file.
          (e4e34e7)
        * fai/config/scripts/PROXY/20-squid-wpad: Assure existence of
          <target>/var/www/html/ before writing a file to it.
          (bb02c6e)
        * fai/config/scripts/GATEWAY/10-networking: Fix syntax error (missing
          'fi'). (4d72b1f)
        * fai/config/hooks/instsoft.DEBIAN.sh: Explicitly exit with zero
          exitcode. (0774b0a)
        * class/50-host-classes: Drop defining classes based on hostname.
          (164bc36)
        * hooks/install.*.sh: Hook scripts are parsed, so they must not leave
          'set -e' turned on. (3abea41)
        * fai/config/class/GERMAN.var: White-space cleanup at EOF. (cf420dd)
        * Add FAI's 40-parse-profiles.sh class script and provide a simple
          FAI profile menu template. (8225a02)
        * hooks/install.GATEWAY.sh: In TEST_MODE, print ifupdown config block
          of external network setup at end of script run. (9e27f90)
        * hooks/install.GATEWAY.sh: In TEST_MODE, break out of the main while
          loop after first round of manual network configuration.
          (900c8e9)
        * hooks/install.GATEWAY.sh: Change --backtitle of all dialogs to
          'Configure Internet Access'. (f7ee853)
        * hooks/install.GATEWAY.sh: Add error dialogs in red color. (c4763f9)
        * hooks/install.DEFAULT.sh: Display error messages in red dialogs.
          (80f19c4)
        * hooks/install.DEFAULT.sh: Greatly improve root pw and hostname
          dialogs, add TEST_MODE support. (6885955)
        * hooks/install.DEFAULT.sh: No such class called 'ROAMING'. (3c67312)
        * hooks/install.GATEWAY.sh: Run script with set -e. (7719f98)
        * hooks/install.GATEWAY.sh: Use single quotes for netmask regexp.
          (6193d32)
        * hooks/install.GATEWAY.sh: Improve regexp for detecting correct IPv4
          syntax. (9ceb4b5)
        * hooks/install.GATEWAY.sh: Typo fix in dialog text. (27267e7)
        * hooks/install.GATEWAY.sh: Add TEST_MODE feature. (4332c3a)

2022-03-23 Mike Gabriel

        * debian/copyright: Properly document copyright attributions.
          (6405f6c)
        * debian/copyright.in: Add auto-generated copyright.in file for
          tracking copyright changes. (f8a2c89)
        * Update/add copyright headers (and re-arrange some code comments at
          beginnings of files). (a5368d2)

2022-03-18 Mike Gabriel

        * fai/config/hooks/defvar.DEFAULT.sh: Grammar fix in comment.
          (be9b188)
        * fai/config/hooks/install.GATEWAY.sh: Read NIC model from udevadm
          info and display it in menu.. (459dcc1)
        * fai/config/hooks/install.GATEWAY.sh: Addjust --ok-label for network
          interface selection menu. (0777a21)
        * fai/config/hooks/install.GATEWAY.sh: Try to setup the uplink
          network interface after manual configuration, so it can be
          used during installation. (84fa3c0)
        * fai/config/hooks/install.GATEWAY.sh: Rephrase some dialog messages.
          (77960c7)
        * fai/config/hooks/install.GATEWAY.sh: Silence output of successful
          grep operations. (2ae1182)
        * conf/debian-edu/fai/debian-edu-router-fai.TEMPLATE/grub.cfg:
          Silence kernel messages during boot process. (02bd7cf)
        * fai/config/FAI-configspace_obsolete-files.txt: Update list of
          removed config space files. (5ed902c)
        * fai/config: Add dialogs for setting up the uplink NIC manually, if
          no DHCP server is present. (e06feed)
        * fai/config/package_config/WEBFILTER: Add package config for
          WEBFILTER class. (dfc9012)
        * fai/config/scripts/LAST/50-misc: Don't use fai-project.org's
          package archive. (b4255e6)
        * fai/config/scripts/LAST/50-misc: Adjust for cfEngine3. (b1496e3)
        * fai/config/scripts/PROXY/20-squid-wpad: Adjust for
          debian-edu-router project. (f57c991)
        * fai/config/scripts/LAST/50-misc: Add bookworm to the list of known
          distributions. (e826a8a)
        * fai/config/scripts/PROXY/30-dansguardian: Drop file. Obsolete
          (inherited from DebianLAN). (c3ce564)

2022-03-12 Mike Gabriel

        * fai/config/disk_config/LVM_EDU_ROUTER: Increase rootfs partition
          size and /tmp partition size. (e86c4f3)
        * fai/config/disk_config/LVM_EDU_ROUTER: Fix wrong LVM name for /tmp
          mount point. (10ee3ec)

2022-03-11 Mike Gabriel

        * bin/debian-edu-router_install: Use
          debian-edu-router-fai_updateconfigspace. (d249302)
        * bin/debian-edu-router-fai_mkconfigspacetarball: '.' in configspace
          tarball file names does not work, replace by '_'.
          (72cb88c)
        * bin/debian-edu-router-fai_mkconfigspacetarball: Always set
          FAI_CONFIGDIR_REAL. (80113bd)
        * bin/debian-edu-router-fai_mkconfigspacetarball:  Use
          debian-edu-router-fai_updateconfigspace. (30084f5)
        * conf/debian-edu/fai/debian-edu-router-fai.TEMPLATE/fai.conf.in: Fix
          http URL for FAI_CONFIG_SRC. (e5c4a3e)
        * bin/debian-edu-router_install: Use
          debian-edu-router-fai_updateconfigspace. (e55368e)
        * bin/debian-edu-router-fai_install: Echo headlines to show where we
          are in the script. (4b11797)
        * fai/config/hooks/: Move etckeeper/git default branch init from
          instsoft.DEBIAN.sh to instsoft.GATEWAY.sh. (e4ac60e)
        * fai/config/package_config/GATEWAY: Explicitly add 'git' so it
          triggers the instsoft.DEBIAN.sh pre-install/configure
          hook. (ef3441f)
        * fai/config/hooks: White-space script reformatting. (93b0d37)
        * fai/config/hooks/instsoft.DEBIAN.sh: Install 'git' early and
          globally set init.defaultBranch to 'main' if 'etckeeper'
          and 'git' are in the list of to-be-installed packages.
          (f238d2f)
        * fai/config/: Derive OS version from nfsroot version and set
          $release variable accordingly. (ac8b8b5)
        * fai/config/package_config/GATEWAY: Add debian-edu-router-config.
          (07f8452)
        * fai/config/files/etc/apt/sources.list/GATEWAY: Use FAI placeholder
          {%release%} in APT sources.list file. (0c521fc)
        * fai/config: Enable DEVELOPMENT class for now, pull-in d-e-r-config
          package from ITZkS APT archive until the first upload of
          debian-edu-router to Debian has happened. (199dcea)
        * debian/debian-edu-router-fai.prerm: Clean-up
          /var/lib/debian-edu-router-fai/ucf/ when uninstalling this
          package. (c91e6b0)
        * bin/debian-edu-router-fai_install: search+replace @arch@ and
          @codename@ in FAI configspace files, too. (bc09904)
        * bin/debian-edu-router-fai_install: Manage config space with ucf.
          (eaf4c8d)
        * debian/control: Add D (debian-edu-router-fai): ucf. (646c248)
        * bin/debian-edu-router-fai_mkcd: Adjust mode detection to script
          name change. (0528343)
        * fai/config/scripts/: Drop FIREWALL scripts for now. (40744f4)
        * fai/config/package_config/GATEWAY: Add linuxlogo. (9d1c073)
        * fai/config/package_config/GATEWAY: Sort package list. (5d4c4ac)

2022-03-10 Mike Gabriel

        * bin/debian-edu-router-fai_install: white-space amendments (6e3cebe)
        * bin/debian-edu-router-fai_install: Tweak $deployment_server
          variable in config files and config space. (d5faf07)
        * fai/config/files/etc/fai/fai.conf/GATEWAY.in: Provide fai.conf
          template in FAI config space (containing https:// URL to
          config space tarball on deployserver). (a03e5b9)
        * conf/: Move deployment_url from d-e-r-fai.conf to
          d-e-r-fai.TEMPLATE/fai.conf.in. (6f3a055)
        * bin/debian-edu-router-fai_mkconfigspacetarball: Provide script to
          create a tarball of the FAI config space. Ship with
          bin:pkg debian-edu-router-deployserver. (951c01d)
        * debian/debian-edu-router-deployserver.dirs: Provide
          /var/lib/debian-edu-fai/config. (a532f71)
        * conf/debian-edu/debian-edu-router-fai.conf: Add new variables
          $deployment_server and $deployment_url. (7c7ddd4)
        * debian-edu-router-deployserver: Adjust Apache2 config, don't
          reference/use /srv/fai/config. (8d6c8b1)
        * bin/debian-edu-router-fai_softupdate: Add new (and simple) script
          and install into bin:pkg debian-edu-router-config.
          (b2826fd)
        * debian/debian-edu-router-fai.install: Add _mkcd and _mkimage
          scripts. (254b39d)
        * bin/: Rename scripts. (cd71e7b)
        * debian/debian-edu-router-fai.dirs: Assure existence of
          /var/lib/debian-edu-router-fai/. (11725df)
        * debian/: Add bin:pkg debian-edu-router-deployserver, shipping an
          apache2 config snippet (and possibly more stuff later).
          (d263a6f)
        * conf/debian-edu/fai/debian-edu-router-fai.TEMPLATE/NFSROOT: Add
          'whois' as required pkg, needed for 'mkpasswd' utility.
          (31ef223)
        * fai/config/package_config/GATEWAY: Make mc and vim available by
          default on Debian Edu Router installations. (303d259)
        * fai/config/scripts/DEBIAN/10-rootpw: White-space fix. (11346f4)
        * fai/config/hooks/install.DEFAULT.sh: Fix typo in dialog message.
          (f1d0683)
        * conf/debian-edu/fai/debian-edu-router-fai.TEMPLATE/grub.cfg: Update
          to a newer version, add EFI support for booting from local
          storage. (a3cb777)

2022-03-04 Mike Gabriel

        * debian-edu-router-fai.TEMPLATE/NFSROOT: Adjust to a more recent
          version. (14608dc)
        * debian/control: Drop '.' line at end of LONG_DESCRIPTION. (a06a017)
        * bin/debian-edu-router-faicd: Don't pollute the /srv/fai namespace
          with our generated images. Use
          /var/lib/debian-edu-router-fai instead. (9465068)
        * debian-edu-router-fai.TEMPLATE/grub.cfg: Drop duplicate linux
          command line. (1e60468)
        * README.md: Add note about directory locations where new ISO or
          SquashFS images will get created. (9cfb76c)
        * bin/debian-edu-router-faicd: Fix moving <img-file> to
          <img-file>.old. (6d704db)
        * bin/debian-edu-router-faicd: Add -f (force) option to fai-cd
          command. Otherwise, images won't be overwritten if they
          already exist. (dbfed24)
        * bin/debian-edu-router-fai{cd,image}: Add script(s) to create
          distro-specific and arch-specific installer images.
          (376cff4)
        * debian-edu-router-fai.TEMPLATE: Add FAI project's GPG key to APT
          keyring. (b8aa896)
        * bin/debian-edu-router-faiinstall: Drop $theme variable, not needed
          for now. (25b7ec7)

2022-03-03 Mike Gabriel

        * ebian/debian-edu-router-fai.install: Install debian-edu-faiinstall
          script and FAI template dir into bin:pkg
          debian-edu-router-fai. (8f04d65)
        * README.md: Adapt README.md for new debian-edu-router-faiinstall
          script (and similar scripts still yet to write: faicd,
          faiimage, faisoftupdate). (60fb846)
        * conf/(fai/)debian-edu-router-fai.conf: Move one dirlevel deeper.
          (f516c9a)
        *
          conf/debian-edu/fai/debian-edu-router-fai.TEMPLATE/apt/sources.list.in:
          Fix @mirrorurl@ usage. (1459455)
        * conf/debian-edu/fai/debian-edu-router-fai.TEMPLATE: Turn static
          files into templates files. (1d856b6)
        * Provide provisioning script and configs. (6877459)
        * Don't symlink files for /etc/fai into config space. Drop them in
          config space, ship them as conffiles. (8e03152)
        * debian/debian-edu-router-fai.docs: Install README.md into docs
          folder of d-e-r-fai. (09ac809)

2022-02-25 Mike Gabriel

        * lintian: Adjust repeated-path-segment lintian overrides. (421228c)
        * README.md: Remove some comments from code blocks. (15e4878)
        * debian/control: Fix duplicate Description: field. (b28bdb2)
        * debian-edu-router-fai.lintian-overrides: Rename and adjust for
          recent bin:pkg naming changes. (75fddc1)
        * README.md: Update documentation, drop various manual steps, start
          with documenting a http-based deployment scenario.
          (ed3de7d)
        * debian/control: Add Ds (debian-edu-router-fai): binutils, dialog,
          squashfs-tools, xorriso. (5d85a60)
        * debian/debian-edu-router-fai.install: Install FAI config to /etc/.
          (07afa2e)
        * conf/: Add debian-edu-router-fai configuration (for creating
          nfsroot tarballs). (cccbec4)
        * debian/: Split up debian-edu-router bin:package into d-e-r-config
          and d-e-r-fai. (177e373)

2022-02-24 Mike Gabriel

        * {README.md,fai/config/files/etc/fai/}: Sync class and filenames
          with README.md. (3d87893)
        * fai/config/hooks/instsoft.DEBIAN(.sh): Append .sh to script.
          (c4be06d)
        * fai/config: Adjust config space for Debian Edu Router use cas.
          drop remnants from Debian LAN. (5209d42)
        * fai/config/files/etc/motd/: Rename GATEWAY_A to GATEWAY, adjust to
          Debian Edu Router project. (850ee29)
        * fai/config/files/etc/apt/sources.list/: Rename GATEWAY_A to
          GATEWAY. (6232d24)
        * README.md: Fix path. (6b664c7)
        * README.md: Indentation fix of code blocks. (15a2808)

2022-02-23 Mike Gabriel

        * debian/: Initial packaging draft for debian-edu-router. (2d44b65)
        * README.md: Add file. (Inspired by Debian-LAN's README.md).
          (750e141)
        * fai/config/: Add FAI initial config space for Debian Edu Router.
          (bec187c)
